Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005BasicBehaviorGoaliePositionReturn Class Reference

A Basic Behavior for positioning the goalie inside the own goal. More...

`#include <GT2005SimpleBasicBehaviors.h>`

Inheritance diagram for GT2005BasicBehaviorGoaliePositionReturn:

[legend]
Collaboration diagram for GT2005BasicBehaviorGoaliePositionReturn:

[legend]
List of all members.

## Public Member Functions
| GT2005BasicBehaviorGoaliePositionReturn (BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
virtual void | execute ()
| Executes the basic behavior.
## Protected Attributes
double | x
| parameter "goalie-position.x"
double | y
| parameter "goalie-position.y"
double | destinationAngle
| parameter "goalie-position.destination-angle"
double | maxSpeed
| parameter "goalie-position.max-speed"
WalkAccelerationRestrictor | accelerationRestrictor
| Restricts the walk acceleration to maximum values.

## Detailed Description

A Basic Behavior for positioning the goalie inside the own goal.

Author:
  Martin Lötzsch

Definition at line 694 of file GT2005SimpleBasicBehaviors.h.

## Constructor & Destructor Documentation

GT2005BasicBehaviorGoaliePositionReturn::GT2005BasicBehaviorGoaliePositionReturn | ( | BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Definition at line 702 of file GT2005SimpleBasicBehaviors.h. References Xabsl2BasicBehavior::registerParameter().

Here is the call graph for this function:

## Member Function Documentation

void GT2005BasicBehaviorGoaliePositionReturn::execute | ( |  | ) | `[virtual]`

| Executes the basic behavior. Implements Xabsl2BasicBehavior. Definition at line 436 of file GT2005SimpleBasicBehaviors.cpp. References Geometry::angleTo(), Geometry::distanceTo(), fromDegrees(), MotionRequest::motionType, normalize(), WalkAccelerationRestrictor::restrictAccelerations(), Pose2D::rotation, WalkAccelerationRestrictor::saveLastWalkParameters(), toDegrees(), Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, WalkRequest::walkType, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

## Member Data Documentation

double GT2005BasicBehaviorGoaliePositionReturn::x`[protected]`

| parameter "goalie-position.x" Definition at line 719 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoaliePositionReturn::y`[protected]`

| parameter "goalie-position.y" Definition at line 722 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoaliePositionReturn::destinationAngle`[protected]`

| parameter "goalie-position.destination-angle" Definition at line 725 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoaliePositionReturn::maxSpeed`[protected]`

| parameter "goalie-position.max-speed" Definition at line 728 of file GT2005SimpleBasicBehaviors.h.

WalkAccelerationRestrictor GT2005BasicBehaviorGoaliePositionReturn::accelerationRestrictor`[protected]`

| Restricts the walk acceleration to maximum values. Definition at line 731 of file GT2005SimpleBasicBehaviors.h.

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.cpp